Name:          libmatio
Version:       1.5.2
Release:       1mamba
Summary:       An ISO C library (with a limited Fortran 90 interface) for reading and writing Matlab MAT files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://matio.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/matio/matio/%{version}/matio-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
An ISO C library (with a limited Fortran 90 interface) for reading and writing Matlab MAT files.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
An ISO C library (with a limited Fortran 90 interface) for reading and writing Matlab MAT files.

This package contains static libraries and header files need for development.

%prep
%setup -q -n matio-%{version}

%build
%configure --enable-shared
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libmatio.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/matdump
%dir %{_includedir}
%{_includedir}/*.h
%{_libdir}/libmatio.a
%{_libdir}/libmatio.la
%{_libdir}/libmatio.so
%{_mandir}/man3/Mat_*.3*
%{_libdir}/pkgconfig/*.pc
%doc NEWS README

%changelog
* Sat Aug 03 2013 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic update by autodist

* Mon Mar 11 2013 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Thu Nov 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.3-1mamba
- package created by autospec
